apiVersion: v1
kind: ServiceAccount
metadata:
  name: {{ include "ryax-demo.fullname" . | printf "%s-sa" }}
  labels:
    {{- include "ryax-demo.labels" . | nindent 4 }}
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: {{ include "ryax-demo.fullname" . }}
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: edit
subjects:
- kind: ServiceAccount
  name: {{ include "ryax-demo.fullname" . | printf "%s-sa" }}
  namespace: {{ .Release.Namespace }}

